#ifndef ARRAY_ITEM_LIST_H
#define ARRAY_ITEM_LIST_H

#include "TriTciCallData.h"

typedef struct Array
{
	int reserved;
	int items;
	LocalCallStack ** pData;
}Array;

Array* newArrayItemList();
void deleteArrayItem(Array* arr, int nLocalId);
void addArrayItem(Array * arr, LocalCallStack *lcs, int index); 
int getAvailableIndex(Array* arr, int nThreadId, int * pLocalId, int *pRemoteId);
void disposeArray(Array* arr);

#endif
